Package org.apache.sling.jcr.base.internal.mount

## Class ProxyUserManager

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<org.apache.jackrabbit.api.security.user.UserManager>
  - - org.apache.sling.jcr.base.internal.mount.ProxyUserManager

All Implemented Interfaces:
  `org.apache.jackrabbit.api.security.user.UserManager`

    public class ProxyUserManager
    extends ProxyWrapper<org.apache.jackrabbit.api.security.user.UserManager>
    implements org.apache.jackrabbit.api.security.user.UserManager

### Field Summary

### Fields inherited from interface org.apache.jackrabbit.api.security.user.UserManager

`SEARCH_TYPE_AUTHORIZABLE, SEARCH_TYPE_GROUP, SEARCH_TYPE_USER`

### Constructor Summary

Constructors
`ProxyUserManager​(ProxySession<org.apache.jackrabbit.api.JackrabbitSession> mountSession, org.apache.jackrabbit.api.security.user.UserManager delegate, org.apache.jackrabbit.api.security.user.UserManager mount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `autoSave​(boolean enable)`
`org.apache.jackrabbit.api.security.user.Group` `createGroup​(String groupID)`
`org.apache.jackrabbit.api.security.user.Group` `createGroup​(String groupID, Principal principal, String intermediatePath)`
`org.apache.jackrabbit.api.security.user.Group` `createGroup​(Principal principal)`
`org.apache.jackrabbit.api.security.user.Group` `createGroup​(Principal principal, String intermediatePath)`
`org.apache.jackrabbit.api.security.user.User` `createSystemUser​(String userID, String intermediatePath)`
`org.apache.jackrabbit.api.security.user.User` `createUser​(String userID, String password)`
`org.apache.jackrabbit.api.security.user.User` `createUser​(String userID, String password, Principal principal, String intermediatePath)`
`Iterator<org.apache.jackrabbit.api.security.user.Authorizable>` `findAuthorizables​(String relPath, String value)`
`Iterator<org.apache.jackrabbit.api.security.user.Authorizable>` `findAuthorizables​(String relPath, String value, int searchType)`
`Iterator<org.apache.jackrabbit.api.security.user.Authorizable>` `findAuthorizables​(org.apache.jackrabbit.api.security.user.Query query)`
`org.apache.jackrabbit.api.security.user.Authorizable` `getAuthorizable​(String id)`
`<T extends org.apache.jackrabbit.api.security.user.Authorizable> T` `getAuthorizable​(String id, Class<T> authorizableClass)`
`org.apache.jackrabbit.api.security.user.Authorizable` `getAuthorizable​(Principal principal)`
`org.apache.jackrabbit.api.security.user.Authorizable` `getAuthorizableByPath​(String path)`
`boolean` `isAutoSave()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyUserManager

    public ProxyUserManager​(ProxySession<org.apache.jackrabbit.api.JackrabbitSession> mountSession,
                            org.apache.jackrabbit.api.security.user.UserManager delegate,
                            org.apache.jackrabbit.api.security.user.UserManager mount)

### Method Detail

#### getAuthorizable

    public org.apache.jackrabbit.api.security.user.Authorizable getAuthorizable​(String id)
                                                                         throws javax.jcr.RepositoryException

Specified by:
  `getAuthorizable` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `javax.jcr.RepositoryException`

#### getAuthorizable

    public <T extends org.apache.jackrabbit.api.security.user.Authorizable> T getAuthorizable​(String id,
                                                                                              Class<T> authorizableClass)
                                                                                       throws org.apache.jackrabbit.api.security.user.AuthorizableTypeException,
                                                                                              javax.jcr.RepositoryException

Specified by:
  `getAuthorizable` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableTypeException`
  `javax.jcr.RepositoryException`

#### getAuthorizable

    public org.apache.jackrabbit.api.security.user.Authorizable getAuthorizable​(Principal principal)
                                                                         throws javax.jcr.RepositoryException

Specified by:
  `getAuthorizable` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `javax.jcr.RepositoryException`

#### getAuthorizableByPath

    public org.apache.jackrabbit.api.security.user.Authorizable getAuthorizableByPath​(String path)
                                                                               throws javax.jcr.UnsupportedRepositoryOperationException,
                                                                                      javax.jcr.RepositoryException

Specified by:
  `getAuthorizableByPath` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### findAuthorizables

    public Iterator<org.apache.jackrabbit.api.security.user.Authorizable> findAuthorizables​(String relPath,
                                                                                            String value)
                                                                                     throws javax.jcr.RepositoryException

Specified by:
  `findAuthorizables` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `javax.jcr.RepositoryException`

#### findAuthorizables

    public Iterator<org.apache.jackrabbit.api.security.user.Authorizable> findAuthorizables​(String relPath,
                                                                                            String value,
                                                                                            int searchType)
                                                                                     throws javax.jcr.RepositoryException

Specified by:
  `findAuthorizables` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `javax.jcr.RepositoryException`

#### findAuthorizables

    public Iterator<org.apache.jackrabbit.api.security.user.Authorizable> findAuthorizables​(org.apache.jackrabbit.api.security.user.Query query)
                                                                                     throws javax.jcr.RepositoryException

Specified by:
  `findAuthorizables` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `javax.jcr.RepositoryException`

#### createUser

    public org.apache.jackrabbit.api.security.user.User createUser​(String userID,
                                                                   String password)
                                                            throws org.apache.jackrabbit.api.security.user.AuthorizableExistsException,
                                                                   javax.jcr.RepositoryException

Specified by:
  `createUser` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableExistsException`
  `javax.jcr.RepositoryException`

#### createUser

    public org.apache.jackrabbit.api.security.user.User createUser​(String userID,
                                                                   String password,
                                                                   Principal principal,
                                                                   String intermediatePath)
                                                            throws org.apache.jackrabbit.api.security.user.AuthorizableExistsException,
                                                                   javax.jcr.RepositoryException

Specified by:
  `createUser` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableExistsException`
  `javax.jcr.RepositoryException`

#### createSystemUser

    public org.apache.jackrabbit.api.security.user.User createSystemUser​(String userID,
                                                                         String intermediatePath)
                                                                  throws org.apache.jackrabbit.api.security.user.AuthorizableExistsException,
                                                                         javax.jcr.RepositoryException

Specified by:
  `createSystemUser` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableExistsException`
  `javax.jcr.RepositoryException`

#### createGroup

    public org.apache.jackrabbit.api.security.user.Group createGroup​(String groupID)
                                                              throws org.apache.jackrabbit.api.security.user.AuthorizableExistsException,
                                                                     javax.jcr.RepositoryException

Specified by:
  `createGroup` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableExistsException`
  `javax.jcr.RepositoryException`

#### createGroup

    public org.apache.jackrabbit.api.security.user.Group createGroup​(Principal principal)
                                                              throws org.apache.jackrabbit.api.security.user.AuthorizableExistsException,
                                                                     javax.jcr.RepositoryException

Specified by:
  `createGroup` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableExistsException`
  `javax.jcr.RepositoryException`

#### createGroup

    public org.apache.jackrabbit.api.security.user.Group createGroup​(Principal principal,
                                                                     String intermediatePath)
                                                              throws org.apache.jackrabbit.api.security.user.AuthorizableExistsException,
                                                                     javax.jcr.RepositoryException

Specified by:
  `createGroup` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableExistsException`
  `javax.jcr.RepositoryException`

#### createGroup

    public org.apache.jackrabbit.api.security.user.Group createGroup​(String groupID,
                                                                     Principal principal,
                                                                     String intermediatePath)
                                                              throws org.apache.jackrabbit.api.security.user.AuthorizableExistsException,
                                                                     javax.jcr.RepositoryException

Specified by:
  `createGroup` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `org.apache.jackrabbit.api.security.user.AuthorizableExistsException`
  `javax.jcr.RepositoryException`

#### isAutoSave

    public boolean isAutoSave()

Specified by:
  `isAutoSave` in interface `org.apache.jackrabbit.api.security.user.UserManager`

#### autoSave

    public void autoSave​(boolean enable)
                  throws javax.jcr.UnsupportedRepositoryOperationException,
                         javax.jcr.RepositoryException

Specified by:
  `autoSave` in interface `org.apache.jackrabbit.api.security.user.UserManager`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`